AttributeTree.ValueKind (Java SE 25 & JDK 25)
Description: declaration: module: jdk.compiler, package: com.sun.source.doctree, interface: AttributeTree, enum: ValueKind
Keywords: com.sun.source.doctree.AttributeTree.ValueKind class

# Enum Class AttributeTree.ValueKind

java.lang.Object
java.lang.Enum<AttributeTree.ValueKind>
com.sun.source.doctree.AttributeTree.ValueKind

All Implemented Interfaces:
  `Serializable, Comparable<AttributeTree.ValueKind>, Constable`

Enclosing interface:
  `AttributeTree`

public static enum AttributeTree.ValueKind extends Enum<AttributeTree.ValueKind>
The kind of an attribute value.

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  The attribute value is enclosed in double quotation marks.
  `EMPTY`
  The attribute value is empty.
  `SINGLE`
  The attribute value is enclosed in single quotation marks.
  `UNQUOTED`
  The attribute value is not enclosed in quotes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AttributeTree.ValueKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AttributeTree.ValueKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EMPTY

    public static final AttributeTree.ValueKind EMPTY
    The attribute value is empty.

  - ### UNQUOTED

    public static final AttributeTree.ValueKind UNQUOTED
    The attribute value is not enclosed in quotes.

  - ### SINGLE

    public static final AttributeTree.ValueKind SINGLE
    The attribute value is enclosed in single quotation marks.

  - ### DOUBLE

    public static final AttributeTree.ValueKind DOUBLE
    The attribute value is enclosed in double quotation marks.

- ## Method Details

  - ### values

    public static AttributeTree.ValueKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AttributeTree.ValueKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null